<template>
  <div class="footer">
    <div class="wrapper">
      <div class="footer_left">
        <img src="../img/ming.png" alt />
        <h3>北京明科普华信息技术有限公司</h3>
        <h2>帮助企业完成中国智造升级</h2>
        <div class="footer_bottom_icon22">
          <el-popover placement="top" width="150" trigger="hover" v-model="visible">
            <img src="../img/weixin.png" alt="">
            <img src="../img/wei.png" slot="reference" alt style="margin-right: 0.16rem;" />
          </el-popover>
          <a target="_blank" href="http://wpa.qq.com/msgrd?v=3&uin=2529499151&site=qq&menu=yes">
            <img src="../img/QQ.png" alt />
          </a>
        </div>
        <p class="footer_left_address">北京市朝阳区建国路88号SOHO现代城2号楼29层</p>
        <p class="footer_left_address">北京市通州区新华北街156号保利大都汇6-808</p>
        <p class="footer_left_address">京ICP备12007830号</p>
        <p style="color:#999999" class="m_hide">技术支持：<a href="http://www.qlzhx.com" target="_blank" style="color:#999999">齐力众信</a></p>
      </div>
      <div class="footer_right">
        <h3 class="m_hide">联系我们</h3>
        <p class="footer_right_website">
          <span class="m_hide">公司官网：</span>
          <img src="../img/add1.png" alt class="footer_img" />
          <span>www.minkesoft.com</span>
        </p>
        <p class="footer_right_website">
          <span>商务合作：</span>
          <img src="../img/add2.png" alt class="footer_img" />
          <span>service@minkesoft.com</span>
        </p>
        <p class="footer_right_website footer_right_website22">
          <img src="../img/add3.png" alt class="footer_img" />
          <span class="m_hide">400-189-1819</span>
          <span class="p_hide"><a href="tel:400-189-1819" style="color:#fff">400-189-1819</a></span>
        </p>
      </div>
    </div>
    <div class="footer_bottom">
      <div class="footer_bottom_icon">
        <el-popover placement="top" width="150" trigger="click" v-model="visible2">
          <img src="../img/weixin.png" alt="">
          <img src="../img/wei.png" slot="reference" alt style="margin-right: 0.16rem;" />
        </el-popover>
        <a target="_blank" href="http://wpa.qq.com/msgrd?v=3&uin=2529499151&site=qq&menu=yes">
          <img src="../img/QQ.png" alt />
        </a>
      </div>
      <p>北京市朝阳区建国路88号SOHO现代城2号楼29层</p>
      <p>北京市通州区新华北街156号保利大都汇6-808</p>
      <p>京ICP备12007830号</p>
      <div style="color:#fff;text-align: center;font-size:0.24rem;padding-bottom:0.5rem">技术支持：<a href="http://www.qlzhx.com" target="_blank" style="color:#fff">齐力众信</a></div>
    </div>
  </div>
</template>
<script>
export default {
  name: 'Footer',
  data () {
    return {
      visible: false,
      visible2: false
    }
  }
}
</script>
<style lang="less" scoped>
  .footer {
    background: #171717;
    display: flex;
    padding: 0.3rem 1rem 0.2rem;
  }
  .footer_left {
    float: left;
    h3 {
      margin: 0.23rem 0 0.53rem;
      font-size: 0.24rem;
      color: #ffffff;
    }
    h2 {
      font-size: 0.3rem;
      color: #999999;
    }
    .footer_left_icon {
      margin: 0.62rem 0 0.47rem 0;
    }
    .footer_left_address {
      color: #999999;
      font-size: 0.14rem;
      line-height: 0.3rem;
    }
  }
  .footer_right {
    float: right;
    margin-top: 0.35rem;
    h3 {
      font-size: 0.24rem;
      color: #fff;
      margin: 0.16rem 0 0.13rem 0;
    }
    .footer_right_website {
      color: #fff;
      margin-top: 0.2rem;
      font-size: 0.14rem;
    }
  }
  .footer_bottom {
    display: none;
  }
  @media all and (min-width: 751px) {
    .footer_img {
      width: 0.18rem;
      margin-left: 0.1rem;
      vertical-align: middle;
    }
    .footer_right_website22 {
      margin-left: 0.75rem;
    }
    .footer_left h3 {
      margin-bottom: 0.1rem;
    }
    .footer_bottom_icon22 {
      margin: 0.2rem 0;
    }
  }

  @media (max-width: 750px) and (min-width: 0) {
    .footer_left h3 {
      margin-bottom: 0.2rem;
    }
    .footer_bottom_icon22 {
      display: none;
    }
    .footer_img {
      width: 0.27rem;
      height: 0.27rem;
      float: left;
      margin-right: 0.2rem;
      margin-top: 0.1rem;
    }
    .footer {
      padding: 0.5rem 0 0;
    }
    .footer_left, .footer_right {
      float: none;
    }
    .footer_left {
      text-align: center;
      h3, h2 {
        font-size: 0.34rem;
      }
      .footer_left_address {
        display: none;
      }
    }
    .footer_right {
      h3 {
        font-size: 0.34rem;
        text-align: center;
        margin-top: 0;
      }
      .footer_right_website span:first-child {
        display: none;
      }
      .footer_right_website:nth-child(2) {
        span:first-child {
          display: block;
          font-size: 0.28rem;
          margin: 0.58rem 0 0.38rem;
        }
      }
      .footer_right_website {
        padding-left: 1.2rem;
        span:last-child {
          font-size: 0.3rem;
        }
      }
    }
    .footer {
      display: block;
    }
    .footer_bottom {
      display: block;
      background: #252525;
      margin-top: 0.5rem;
      .footer_bottom_icon {
        padding: 0.35rem 0;
        text-align: center;
        border-bottom: 1px solid rgba(169, 207, 226, 0.17);
        margin-bottom: 0.24rem;
        span:first-child {
          margin-right: 0.3rem;
        }
      }
      p {
        text-align: center;
        font-size: 0.24rem;
        line-height: 0.4rem;
        color: #fff;
      }
      p:last-child {
        margin-top: 0.3rem;
        padding-bottom: 0.6rem;
      }
    }
  }
</style>
